# Retrieve a page of dial string suspense summary records Returns dial string suspense summary records. Use pagination and filters to narrow results Endpoint: GET /usage-dialstring-suspense-summary Version: 1.1 Security: bearerAuth ## Query parameters: - `page` (integer, required) Page of results to show Example: 1 - `pageSize` (integer, required) Results to return per page Example: 100 - `sort` (string) Comma-delimited list of the fields to sort by - defaults to ascending order, suffix :desc to change Example: "id,name | name:desc" - `fields` (string) Comma-delimited list of the field(s) to return if only a subset is required Example: "id,name" - `dialString` (string) Filter by dial string Example: "xyz | in:x,y | like:xyz" - `referenceDateSourceId` (string) Filter by reference date source identifier Example: "0" - `secondaryReferenceDateSourceId` (string) Filter by secondary reference date source identifier Example: "0" - `usageProductId` (string) Filter by usage product identifier Example: "0" - `supplierId` (string) Filter by supplier identifier Example: "0" - `supplierAccountId` (string) Filter by supplier account identifier Example: "0" - `firstEventDate` (string) Filter by first event date/time Example: "yyyy-MM-ddTHH:mm:ssZ | lt:yyyy-MM-ddTHH:mm:ssZ | gt:yyyy-MM-ddTHH:mm:ssZ" - `lastEventDate` (string) Filter by last event date/time Example: "yyyy-MM-ddTHH:mm:ssZ | lt:yyyy-MM-ddTHH:mm:ssZ | gt:yyyy-MM-ddTHH:mm:ssZ" - `totalSupplierCost` (string) Filter by total supplier cost Example: "1 | in:1,2 | gt:1 | lt:1 | ge:1 | le:1" ## Response 200 fields (application/json): - `dialString` (string, required) Dial string Example: "02132568" - `referenceDateSourceId` (integer) Reference date source identifier Example: 4 - `secondaryReferenceDateSourceId` (integer) Secondary reference date source identifier Example: 5 - `usageProductId` (integer) Usage product identifier Example: 5 - `supplierId` (integer) Supplier identifier Example: 5 - `supplierAccountId` (integer) Supplier account identifier Example: 1 - `firstEventDate` (string, required) Date and time of the first event in this group Example: "2026-07-24T14:15:22Z" - `lastEventDate` (string, required) Date and time of the last event in this group Example: "2026-08-24T14:15:22Z" - `totalSupplierCost` (number, required) Total supplier cost for this group Example: 250 - `totalQuantity` (integer, required) Total quantity for this group Example: 100 - `totalRecords` (integer, required) Total number of suspense records in this group Example: 125 ## Response 400 fields ## Response 401 fields ## Response 403 fields